const initState = {
  isLogin: false,
  safeArea: {},
  statusBarHeight: 20,
  accountId: '',
  accountName: '',
  companyId: '',
  avatorUrl: '',
}


export default (state = initState, { type, payload }) => {
  switch (type) {
    case 'app/update':
      return {
        ...state,
        ...payload,
      };
    case 'app/login':
      return {
        ...state,
        isLogin: true,
        ...payload,
      }
    case 'app/logout':
      return {
        ...state,
        isLogin: false,
        accountId: '',
        accountName: '',
        companyId: '',
        avatorUrl: '',
      }
    default:
      return state;
  }
}
